@midGreen: #33cc33;
@lightGreen: desaturate(#a6ff4d, 30%);
@darkGreen: #336600;
@neutralColor: #808080;

* {
    box-sizing: border-box;
}

#container{
    max-width: 1200px;
    margin-right: auto;
    margin-left: auto; 
}

#top-navi {
    border: 2px solid @darkGreen;
    width: 100%;
    
    ul{
        
        list-style: none;
        text-decoration: none;
        text-align: center;
        background-color: @midGreen;
        margin: 0px;

        &:after{
            content: "";
            display: block;
            clear: both;
        }
       
        


    li{
        float: left;
        width: 20%;
        background-color: @midGreen;
        padding-right: 20px;
        padding-left: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        position: relative;
        
        .submenu{           
            position: absolute;
            top: 100%;
            left:26%;
            z-index: 1;
            background-color: transparent;
            background-image: url('navi-arrow.png');
            background-repeat: no-repeat;
            background-position: 50% 10px;
            margin-top: -15px;
            padding-top: 26px;
            display: none;
            margin-left: 0px;
            padding-left: 0px;
            
        
        }

        &:hover{    
            background-color: @lightGreen;

            .submenu{
                display: block;

                li{
                    display: block;
                    width: 100%;
                    float: none;
                }
            }
        }
            a {
                text-decoration: none; 
                color: @darkGreen;
                font-weight: bold;
            }
        }
    }
}

#site-header{
    background-image: url('banner.png');
    margin-top: 0px; 
    text-align: center;

    h1{
        margin:0px;
        padding-top: 40px;
        padding-bottom: 30px;
        font-size: 46px;
        color: @darkGreen;
        text-shadow: 2px 2px @lightGreen
    }
}

#row1{
    #news-box{

        width: 70%;
        float: left;



        .news{
            width: 30%;
            float: left;
            margin: 10px;
        
            

        h1{
            margin-bottom: 0px;
            font-size: 26px;
            }
        
        
        .date{
            margin-top: 3px;
            color: @neutralColor;
            }   
        }

    }

        

    #sidebar{
        float: right;
        width: 30%;

        #login-box{

            h1{
                font-size: 20px;
                background-color: @midGreen;
                color: @darkGreen;
                padding: 10px;
            }
            p{

            
                .login-label{
                    width: 30%;
                    display: inline-block;
                    
                    
                }

                input{
                    background-color: @lightGreen;
                }
            }
        }

        #events{
            

            h1{
                font-size: 20px;
                background-color: @midGreen;
                color: @darkGreen;
                padding: 10px;
                margin-bottom: 0px;
            }

            .event{    
                padding-top: 10px;

                &::after{
                    content: "";
                    display: block;
                    clear: both;
                }
            }

            .event-date{
                width: 60px;
                float: left;
                margin-right: 7px;
                height: 50px;
                
                .month{
                    display: block;
                    background-color: @darkGreen;
                    color: @lightGreen;
                    text-align: center;
                    border: 1px solid @darkGreen;
                    font-size: 12px;
                }
                
                .day{
                    display: block;
                    text-align: center;
                    padding: 6px;
                    border: 1px solid @darkGreen;
                    font-size: 20px;
                }

                
            }

            .event-name{
                
                margin-top: 15px;
                
                

                a{
                    text-decoration: none;
                    color: #000000;
                    font-size: 20px;

                    &::after{
                        content: ">>";
                        display: inline;

                        
                        
                    }
                }
            }
        }
    }
}

#row2{
    background-color: @lightGreen;
    clear: both;
    padding: 20px;
    

    &::after{
        content: "";
        display: block;
        clear: both;
    }
    .project{
        border: 2px solid @darkGreen;
        background-color: #ffffff;
        width: 19.1%;
        float: left;
        margin: 5px;   
        text-align: center;
        border-radius: 10px;  
        
        h1{
            margin-top: 10px; 
            font-size: 22px;
        }
    }
}

#row3{
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 15px; 
    
    &::after{
        content: "";
        display: block;
        clear: both;
    }


    #twitter{
        width: 50%;
        float: left;
        padding-right: 25px;
        margin-top: 20px;

        header{       
            text-align: center;

        }

        .tw-post{
            margin-top: 40px;
        }

        .tw-logo{
            float: left;
        }

        .tw-user{
            color: @midGreen;
        }

        .tw-date{
            float: right;
            color: @neutralColor;
        }

        .tw-tweet{
            display: block;
            margin-top: 10px; 
        }

        .tw-content{
            margin-left: 40px;
        }

        .tweet-buttons{
            float: right;
        }
    }

    #facebook{
        width: 50%;
        float: right;
        padding-left: 25px;
        margin-top: 20px;

        header{
            text-align: center;
            margin-bottom: 30px;
            
            img{
                width: 80px;
            }
        }

        .fb-post{
            margin-top: 10px;
            border-bottom: 2px dashed @neutralColor;

            
            &::after{
                content: "";
                display: block;
                clear: both;
            }

        }

        .fb-user{
            color: @midGreen;
            font-size: 1.2em;
            font-weight: bold;
            display: block;
            
        }

        .fb-date{
            color: @neutralColor;
            font-size: 0.8em;
        }

        .fb-like{
            width: 80px;
            float: right;
            margin-bottom: 10px;
            
            
        }
    }
}

